<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('contract', function (Blueprint $table) {
            $table->id();
            $table->integer('party_a_id')->comment('甲方id');
            $table->string('party_a_name')->nullable()->comment('甲方名');
            $table->integer('party_b_id')->comment('乙方id');
            $table->string('party_b_name')->nullable()->comment('乙方名');
            $table->string('number')->comment('合同编号');
            $table->string('name')->nullable()->comment('合同名');
            $table->string('img')->nullable()->comment('合同照片');
            $table->string('sign_date')->nullable()->comment('签署时间');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('contract');
    }
};
